import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * This actor handles the logo used for the intro cutscene!
 */
public class Logo extends Actor
{
    public int introplayed = 0;
    public static final GreenfootSound  sound = new GreenfootSound("sounds/Music/mus_menu.wav"); 
    
    /**
     * Checks whether or not the intro has been played.
     * 
     * If not, play the intro using the intro method.
     */
    public void act()
    {
        if (introplayed == 0)
        {
            introplayed++;
            intro();
        }
    }
    
    /**
     * This is probably some of the worst code I've ever written LOL
     * 
     * 
     * I have no idea how to explain this except for that it switches images, plays a sound and delays the project for timing.
     * 
     * Unfortunately, this means that the speed of the animation is tied to framerate.
     */
    public void intro()
    {
        setImage("images/black.png");
        setLocation((getWorld().getWidth() / 2),(getWorld().getHeight() / 2 - 20));
        Greenfoot.delay(100);
        
        setImage("images/menu/Logo1.png");
        Greenfoot.playSound("sounds/intro_noise.wav");
        GreenfootImage image = getImage();
        image.scale(93, 51);
        Greenfoot.delay(25);
        
        setImage("images/menu/Logo2.png");
        Greenfoot.playSound("sounds/intro_noise.wav");
        GreenfootImage image2 = getImage();
        image2.scale(180, 51);
        Greenfoot.delay(25);
        
        setImage("images/menu/Logo3.png");
        Greenfoot.playSound("sounds/intro_noise.wav");
        GreenfootImage image3 = getImage();
        image3.scale(337, 51);
        Greenfoot.delay(75);
        
        setImage("images/menu/Logo4.png");
        GreenfootImage image4 = getImage();
        image4.scale(337, 88);
        Greenfoot.playSound("sounds/intro_noise2.wav");
        setLocation((getWorld().getWidth() / 2),((getWorld().getHeight() / 2 - 2)));
        Greenfoot.delay(90);
        
        sound.setVolume(80); 
        sound.play();
        Greenfoot.delay(30);
        
        Fade fadeIn = new Fade("in");
        getWorld().addObject(fadeIn, (getWorld().getWidth() / 2),(getWorld().getHeight() / 2));
    }
}
