import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * This is the world for the loading screen.
 * 
 * NOTE: This is the default world!
 */
public class LoadingScreen extends World
{
    /**
     * Creates the objects for the world.
     */
    public LoadingScreen()
    {    
        super(640, 360, 1);
        Notification debug = new Notification(0);
        Notification quick = new Notification(1);
        
        addObject(new Loader(), 0, 0);
        addObject(debug, 0, 0);
        addObject(quick, 0, 0);
        Greenfoot.start();
    }
}
