import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

public class Score extends Actor
{
    public int player = 0;
    private int firstRun = 0;
    
    /**
     * Grabs what player it is from its creator.
     */
    public Score(int player_)
    {
        player = player_;
    }
    
    /**
     * Sets its position to either the left or right side of the screen (dynamically!!) depending on
     * what player it's for, and sets its image to its corresponding player's score.
     */
    public void act()
    {
        if(firstRun == 0)
        {
            if(player == 1) { 
                setLocation(getWorld().getWidth() / 2 - 100, 30);
            }
            if(player == 2) { 
                setLocation(getWorld().getWidth() / 2 + 100, 30);
            }
            firstRun = 1;
        }
        if(player == 1) { 
            setImage("images/score/score" + Ball.scoreP1 + ".png");
            GreenfootImage image = getImage();
            setImage(image);
        }
        if(player == 2) {
            setImage("images/score/score" + Ball.scoreP2 + ".png");
            GreenfootImage image = getImage();
            setImage(image);
        }
    }
}
