import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * This actor handles the logo used on the title screen.
 */
public class TitleLogo extends Actor
{
    int particleWait = 0;
    
    /**
     * Sets the resolution/scale of the logo.
     */
    public TitleLogo()
    {
        GreenfootImage image = getImage();
        image.scale(image.getWidth() / 2, image.getHeight() / 2);
    }
    
    /**
     * Creates the particles for the title screen every three frames.
     */
    public void act()
    {
        if(particleWait == 2)
        {
            getWorld().addObject(new TitleParticle(), 0,0);
            particleWait = 0;
        }
        particleWait++;
    }
}
