import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * The world for the Title Screen.
 */
public class TitleMenu extends World
{

    /**
     * Constructor for objects of class TitleMenu.
     * 
     */
    public TitleMenu()
    {    
        // Create a new world with 600x400 cells with a cell size of 1x1 pixels.
        super(640, 480, 1); 
        Fade fadeIn = new Fade("in");
        Fade fadeOut = new Fade("out");
        
        addObject(fadeOut, getWidth() / 2, getHeight() / 2);
        setPaintOrder(Fade.class, TitleLogo.class);
        setPaintOrder(Menu.class, TitleParticle.class);
        setPaintOrder(Fade.class, TitleParticle.class);
        setPaintOrder(Menu.class, Shadow.class);
        setPaintOrder(TitleLogo.class, Shadow.class);
        setPaintOrder(Fade.class, Shadow.class);
        setPaintOrder(Shadow.class, TitleParticle.class);
        setPaintOrder(Fade.class, Menu.class);
    }
}
